/******************************************************************************
*******************************************************************************

	Bubble Fight EX
	relminator
	http://rel.betterwebber.com


	BossEntity class


*******************************************************************************
******************************************************************************/


#include "StarFighter.h"

#ifndef BOSSENTITY_H
#define BOSSENTITY_H

class BossEntity 
{

public:
	virtual void Init(int Palette, glImage* const Sprites ) = 0;
	virtual void Update() = 0;
	virtual void Draw() = 0;
	virtual bool Collide( StarFighter &Star ) = 0;
	virtual void Spawn() = 0;

	virtual s32 GetX() = 0;
	virtual s32 GetY() = 0;
	virtual bool IsAlive() = 0;
	virtual bool IsActive() = 0;
	virtual int GetDestroyedCounter() = 0;
	
	virtual void SetX( int _x ) = 0;
	virtual void SetY( int _y ) = 0;
	virtual void DecDestroyedCounter() = 0;
	virtual void SetDestroyedCounter( int val ) = 0;
	virtual void SetAlive( bool alive ) = 0;
	virtual void SetActive( bool active ) = 0;
	
	
};

#endif // BOSSENTITY_H
